/* progbar.h is part of VIP program
 * Written by J. Salvador Arias, 2010
 *      CONICET, INSUE, Instituto Miguel Lillo,
 *      Miguel Lillo 205, S.M. de Tucuman (4000)
 *      Tucuman, Argentina
 *      e-mail: jsalarias@csnat.unt.edu.ar
 *
 * VIP is a free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation and
 * Creative Commons.
 *
 * This file and the VIP program is distributed in the hope
 * that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this file; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 * Or download it at:
 * http://creativecommons.org/licenses/GPL/2.0/
 */

#ifndef PROGRESS_BAR_HEADER_INCLUDED
#define PROGRESS_BAR_HEADER_INCLUDED

#include "ghead.h"

/* Search progress */
typedef struct tagPROGRESSSTRUCT PROGRESSSTRUCT;

/* This function must be defined in the user interface, used for updating during calculations */
void UpdateOnCalculus ();

/* --- Definitions --- */
struct tagPROGRESSSTRUCT {
 SCOUNTER actBar1;
 SCOUNTER numBar1;
 SCOUNTER actBar2;
 SCOUNTER numBar2;
 SFLAG isActive;
};

#endif
